Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote
Class ActionCode

    java.lang.Object
      org.apache.coyote.ActionCode

public final class ActionCode
extends java.lang.Object

Enumerated class containing the adapter event codes.

Author:
  Remy Maucherat

Field Summary
`static ActionCode` | `ACTION_ACK`
`static ActionCode` | `ACTION_CLIENT_FLUSH` A flush() operation originated by the client ( i.e.
`static ActionCode` | `ACTION_CLOSE`
`static ActionCode` | `ACTION_COMMIT`
`static ActionCode` | `ACTION_CUSTOM`
`static ActionCode` | `ACTION_NEW_REQUEST` Chain for request creation.
`static ActionCode` | `ACTION_POST_REQUEST` Hook called after request, but before recycling.
`static ActionCode` | `ACTION_REQ_HOST_ADDR_ATTRIBUTE` Callback for lazy evaluation - extract the remote host infos (address, name, port) and local address.
`static ActionCode` | `ACTION_REQ_HOST_ATTRIBUTE` Callback for lazy evaluation - extract the remote host address.
`static ActionCode` | `ACTION_REQ_LOCAL_ADDR_ATTRIBUTE` Callback for lazy evaluation - local address.
`static ActionCode` | `ACTION_REQ_LOCAL_NAME_ATTRIBUTE` Callback for lazy evaluation - local address.
`static ActionCode` | `ACTION_REQ_LOCALPORT_ATTRIBUTE` Callback for lazy evaluation - socket local port.
`static ActionCode` | `ACTION_REQ_REMOTEPORT_ATTRIBUTE` Callback for lazy evaluation - socket remote port.
`static ActionCode` | `ACTION_REQ_SSL_ATTRIBUTE` Callback for lazy evaluation - extract the SSL-related attributes.
`static ActionCode` | `ACTION_REQ_SSL_CERTIFICATE` Callback for lazy evaluation - extract the SSL-certificate (including forcing a re-handshake if necessary)
`static ActionCode` | `ACTION_RESET`
`static ActionCode` | `ACTION_START`
`static ActionCode` | `ACTION_STOP`
`static ActionCode` | `ACTION_WEBAPP`

Method Summary
`int` | `getCode()` Action id, useable in switches and table indexes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_ACK

    public static final ActionCode ACTION_ACK

### ACTION_CLOSE

    public static final ActionCode ACTION_CLOSE

### ACTION_COMMIT

    public static final ActionCode ACTION_COMMIT

### ACTION_CLIENT_FLUSH

    public static final ActionCode ACTION_CLIENT_FLUSH

  A flush() operation originated by the client ( i.e. a flush() on the servlet output stream or writer, called by a servlet ).

### ACTION_CUSTOM

    public static final ActionCode ACTION_CUSTOM

### ACTION_RESET

    public static final ActionCode ACTION_RESET

### ACTION_START

    public static final ActionCode ACTION_START

### ACTION_STOP

    public static final ActionCode ACTION_STOP

### ACTION_WEBAPP

    public static final ActionCode ACTION_WEBAPP

### ACTION_POST_REQUEST

    public static final ActionCode ACTION_POST_REQUEST

  Hook called after request, but before recycling. Can be used for logging, to update counters, custom cleanup - the request is still visible

### ACTION_REQ_HOST_ATTRIBUTE

    public static final ActionCode ACTION_REQ_HOST_ATTRIBUTE

  Callback for lazy evaluation - extract the remote host address.

### ACTION_REQ_HOST_ADDR_ATTRIBUTE

    public static final ActionCode ACTION_REQ_HOST_ADDR_ATTRIBUTE

  Callback for lazy evaluation - extract the remote host infos (address, name, port) and local address.

### ACTION_REQ_SSL_ATTRIBUTE

    public static final ActionCode ACTION_REQ_SSL_ATTRIBUTE

  Callback for lazy evaluation - extract the SSL-related attributes.

### ACTION_NEW_REQUEST

    public static final ActionCode ACTION_NEW_REQUEST

  Chain for request creation. Called each time a new request is created ( requests are recycled ).

### ACTION_REQ_SSL_CERTIFICATE

    public static final ActionCode ACTION_REQ_SSL_CERTIFICATE

  Callback for lazy evaluation - extract the SSL-certificate (including forcing a re-handshake if necessary)

### ACTION_REQ_REMOTEPORT_ATTRIBUTE

    public static final ActionCode ACTION_REQ_REMOTEPORT_ATTRIBUTE

  Callback for lazy evaluation - socket remote port.

### ACTION_REQ_LOCALPORT_ATTRIBUTE

    public static final ActionCode ACTION_REQ_LOCALPORT_ATTRIBUTE

  Callback for lazy evaluation - socket local port.

### ACTION_REQ_LOCAL_ADDR_ATTRIBUTE

    public static final ActionCode ACTION_REQ_LOCAL_ADDR_ATTRIBUTE

  Callback for lazy evaluation - local address.

### ACTION_REQ_LOCAL_NAME_ATTRIBUTE

    public static final ActionCode ACTION_REQ_LOCAL_NAME_ATTRIBUTE

  Callback for lazy evaluation - local address.

Method Detail

### getCode

    public int getCode()

  Action id, useable in switches and table indexes

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.